## 8.3.10 - 2026-06-11

**Frontend Changes:**
- Improved: Frontend calculator form loading now uses cached form data more efficiently.
- Fixed: Free-version Stripe checkout runtime code has been removed while keeping an admin-only premium preview of the Stripe button.

**Dashboard Changes:**
- Fixed: Calculator list menu UI controls now display and behave more consistently.

**Editing Page Changes:**
- Improved: Calculator editor loading is more reliable, including safer calculator ID validation, explicit edit-page routing, and more resilient editor initialization.
- Improved: Calculator settings and tooltip controls now have cleaner wrappers, disabled states, and layout behavior.
- Fixed: Editor save handling now recovers more reliably after AJAX failures and avoids conflicts in debounced saves.
- Fixed: New element defaults, item field attributes, and editor JSON output are handled more safely.
- Fixed: WooCommerce product loading in the editor is now lazy-loaded and hardened to prevent editor loading issues.

**Backend Changes:**
- Security: Removed legacy Stripe secret-key handling from the free plugin, including settings fields, AJAX save/toggle actions, migration import, frontend config output, and checkout calls.
- Security: Stored legacy Stripe keys are now deleted during install/update routines so free-version installs do not retain exposed Stripe credentials.
- Security: The hidden calculator editor page and controller now use administrator-only access checks.

## 8.3.9 - 2026-05-22

**Frontend Changes:**
- Improved: Detailed list styling is cleaner and easier to read, including comments, descriptions, section rows, and totals across screen sizes.

**Editing Page Changes:**
- Improved: Calculator settings now preserve existing options more reliably when saving from the settings modal.
- Fixed: The Wordings modal now opens correctly from the calculator editing page.

**Backend Changes:**
- Improved: Calculator settings are sanitized and saved more reliably, including webhooks, custom JavaScript toggles, translations, and display options.

## 8.3.7 - 2026-05-11

**Editing Page Changes:**
- Fixed: Dropdown options can now be added and managed more reliably from the calculator editing page.
- Fixed: Add-element controls now handle subsection layouts more safely when slider elements are present.

## 8.3.5 - 2026-05-11

**Editing Page Changes:**
- Fixed: Editing page layout now renders correctly by restoring the editor shell markup.

## 8.3.3 - 2026-05-05

**Frontend Changes:**
- Fixed: Slider elements now initialize more reliably and calculate values correctly when defaults, ranges, or dependencies are present.
- Fixed: Custom translation text now applies more consistently on calculator forms, including the Applied Discount label.

**Dashboard Changes:**
- Improved: The Language Translation & Word Changes screen now has grouped labels, search, reset controls, and clearer custom translation states.

**Editing Page Changes:**
- Added: A redesigned calculator settings modal for clearer navigation and more consistent controls.
- Improved: Premium-only settings and help tooltips are now easier to identify in the settings modal.
- Fixed: Dashboard styles no longer interfere with the calculator preview layout.

**Backend Changes:**
- Fixed: Settings modal data is encoded more safely before being loaded in the editor.
- Fixed: Webhook and custom JavaScript settings are saved more reliably from the updated settings experience.

## 8.3.1 - 2026-04-24

**Frontend Changes:**
- Fixed: Calculator form output and frontend value handling now include additional security hardening.

**Editing Page Changes:**
- Improved: Advanced option panels now have smoother toggle behavior, cleaner spacing, and more consistent alignment.
- Added: A tooltip for slider pricing structure settings to make slider setup clearer.
- Fixed: Slider and dropdown advanced options now display and behave more reliably.
- Fixed: Date Picker, Text/HTML, quantity input, and single button settings now have cleaner, more consistent editor controls.
- Fixed: The calculator preview now docks to the bottom more reliably and uses the available editor space.

**Backend Changes:**
- Fixed: Security issues to better protect plugin data and rendered output.

## 8.2.9 - 2026-04-17

**Frontend Changes:**
- Improved: Dropdown options with images and descriptions now render with more consistent spacing and alignment.

**Editing Page Changes:**
- Improved: The calculator preview panel now stretches more reliably to use the available editor space.
- Fixed: The editing page now handles missing calculator config, webhook settings, and custom JavaScript settings more safely to prevent editor errors.

**Backend Changes:**
- Fixed: Forms now fall back more safely when Google Fonts data is missing, reducing PHP warnings and broken font loading.
- Fixed: Post-update tasks now handle more plugin update response shapes reliably, helping upgrade routines complete correctly.
- Fixed: Form controller loading now avoids class redeclaration errors.

## 8.2.7 - 2026-04-08

**Frontend Changes:**
- Fixed: Mandatory Date Picker fields now update their required-field message correctly after a date is selected or cleared.

**Dashboard Changes:**
- Improved: Global Settings screens now have cleaner alignment, an updated Currency settings experience, and clearer premium upgrade messaging.

**Editing Page Changes:**
- Improved: Calculator preview sizing, icon alignment, section controls, delete icons, and advanced option layouts have been refined.
- Fixed: Slider Starting Value and Slider Steps settings now save and display correctly.
- Fixed: Dropdown, checkbox, Date Picker, and Text/HTML controls now behave more reliably when added or edited.
- Removed: Unavailable icon picker controls from dropdown and Date Picker editor settings.

**Backend Changes:**
- Improved: Calculator data loading now caches form relationships and clears that cache when forms, sections, subsections, elements, items, or conditions change.
- Fixed: AI Wizard response parsing now handles invalid or unexpected AI messages more safely.

## 8.2.5 - 2026-03-19

**Dashboard Changes:**
- Improved: The All Calculators page now includes a dedicated Edit button on each calculator card for faster access.
- Improved: Calculator cards on the All Calculators page now reflow better on smaller screens, keeping actions and update info readable.

**Editing Page Changes:**
- Fixed: Color settings in the editor no longer trigger a compatibility warning when the CTA button style uses a black color.

## 8.2.3 - 2026-03-18

**Frontend Changes:**
- Fixed: Free calculator forms now handle date field display details more reliably, including spacing and tooltip-related UI issues.

**Dashboard Changes:**
- Updated: The All Calculators page now uses a new card-based layout with search, filters, sorting, and faster access to calculator actions.
- Improved: Spacing, sizing, and filter behavior on the All Calculators page for a cleaner dashboard experience.
- Added: The dashboard header now includes profile access and a direct SMS dashboard link.
- Fixed: Dashboard pages no longer break when shared admin resources fail to load.

**Editing Page Changes:**
- Fixed: The top Save button on the editing page now updates correctly while changes are being saved.

**Backend Changes:**
- Improved: Shared admin resource loading for dashboard tools to reduce script-related errors.

## 8.2.2 - 2026-03-10

**Frontend Changes:**
- Fixed: Google Fonts requests to prevent font loading errors on calculator forms.

**Dashboard Changes:**
- Added: Dual navigation bars in the dashboard for faster access to plugin sections.
- Improved: Secondary navigation spacing and layout for a cleaner dashboard experience.
- Updated: The dashboard header logo now includes a Free badge.
- Fixed: Quote Viewer and leads-related dashboard pages now open correctly from plugin navigation.

**Editing Page Changes:**
- Updated: Date Picker editor options were aligned with the free version by removing unavailable time picker controls.

**Backend Changes:**
- Fixed: Quote field visibility settings no longer trigger errors when forms are saved or rendered.
- Improved: Premium-only variable handling and sanitization to reduce admin and form rendering errors.

## 8.2.1 - 2026-02-26

**Frontend Changes:**
- Added: Date Picker element support, including localized calendar behavior.
- Improved: Frontend handling for new interactive form features.

**Dashboard Changes:**
- Improved: Admin menu toggle behavior to stay in sync with WordPress menu state.
- Fixed: Font settings and element selector GUI mismatches in dashboard tabs.

**Editing Page Changes:**
- Improved: Usability updates for key editor features in the free version.
- Fixed: Undefined Date Picker variable errors on the editing page.
- Fixed: Text/HTML element interactions that could break slider GUI behavior.

**Backend Changes:**
- Updated: Google Fonts and AJAX handling to support recent editor enhancements.
- Improved: Core integration logic for the Date Picker workflow.

= 8.1.9 - 2026-01-27
Fixed: Quantity input box negative values issue
Improved: Security improvements

= 8.1.8 - 2025-12-25

Updated: Wordpress Menu visibility for admin users
Improved: Calculator Settings adjustments
Fixed: Wrong element visibility on editing page

= 8.1.7 - 2025-12-04

Fixed: Survey modal errors
Added: Collapsible WP admin menu and update header button
Added: Sidebar alerts and improved checks on Support & Help page
Fixed: Element icons issues for new subsections
Fixed: Quantity input box element issue when adding a second element

= 8.1.6 - 2025-11-15

Improved: AI Wizard feature
Fixed: XSS vulnerability that could be caused by a user with capabilities of publishing posts/pages

= 8.1.5 - 2025-10-28

Updated: Max width calculator wrapper adjustments
Improved: AI Wizard loading response improvements
Fixed: Markdown errors related to AI responses

= 8.1.3 - 2025-10-16

Updated: AI Wizard Endpoints
Improved: Security Improvements

= 8.1.1 - 2025-09-03

Fixed: Mismatches in calculator templates
Improved: Security improvements

= 8.1.0 - 2025-07-31
Fixed: Feedback questionnaire

= 8.0.9 - 2025-07-03

Updated: Premium informative tooltips
Fixed: Preview panel toggle position
Updated: Home improvement template is premium now
Fixed: Reload editing page when save button is used
Fixed: Minimum total price errors
Fixed: TextHTML element image overflow issues
Fixed: Remove total price issues
Updated: Template update

= 8.0.8 - 2025-06-10

Fixed: Dashboard GUI fixes
Added: Missing tooltips to Calculator settings
Added: New Support page
Added: Support floating button for Dashboard
Fixed: GUI fixes for Editing page
Removed: Crisp Chat support
Fixed: AI Wizard errors when plugin is activated

= 8.0.7 - 2025-05-12

Fixed: Issue opening the calculator settings
Improved: Template search
Updated: Calculator settings tooltips and options

= 8.0.6 - 2025-05-08

**Frontend Changes**:
Added: Text/HTML Element support

**Dashboard Changes**:
Updated: Dashboard header new GUI
Fixed: Calculator preview panel style fixes
Added: New templates
Added: Automatic Business description completion AI Wizard support

**Editing Page Changes**:
Updated: AI Wizard GUI changes
Added: AI Wizard "Add elements with AI" support
Added: AI Wizard "Build Calculator with AI" support
Fixed: Calculator title special characters issue

**Backend Changes**:
Improved: Cache plugins compatibility

= 8.0.5 - 2025-04-16

Updated: Uninstall feedback modal behavior
Fixed: PHP Errors and warnings
Updated: Support up to WordPress 6.8

= 8.0.4 - 2025-04-09

**Dashboard Changes**:
Added: Calculator list button to edit page header
Updated: Footer links and images

**Backend Changes**:
Improved: Security improvements

= 8.0.3 - 2025-02-17

**Frontend Changes**:
Fixed: Mandatory element issues

**Backend Changes**:
Improved: Security and compatibility improvements

= 8.0.2 - 2025-01-23

**Dashboard Changes**:
Fixed: Errors related to settings translation
Improved: Security and compatibility improvements
Updated: GUI updates on footer and navigation bar

= 8.0.1 - 2024-12-02

**Dashboard Changes**:
Updated: Members Portal links and license usage information

= 8.0.0 - 2024-11-14

**Editing Page Changes**:
Updated: GUI changes for Editing page
Fixed: Minor bugs

= 7.9.8 - 2024-10-24

**Frontend Changes**:
Fixed: Mandatory slider element not working properly

**Editing Page Changes**:
Updated: New settings layout in calculator settings
Fixed: GUI Fixes to the editing page

**Dashboard Changes**:
Updated: Calculator template list
Updated: Currency format helper/Informative tooltip
Fixed: PHP and JS errors after installation

= 7.9.7 - 2024-09-24
Updated: AI Wizard UX in the cost calculator editor

= 7.9.6 - 2024-09-13

**Frontend Changes**:
Fixed: Simple button text color when button is clicked
Fixed: Slider element bar GUI fixes

**Editing Page Changes**:
Updated: Calculator Settings GUI
Updated: New Slider elements now start from 0 by default
Updated: CalculatorPreview is refreshed using a refresh button

**Dashboard Changes**:
Fixed: GUI Fixes

= 7.9.5 - 2024-08-13
Updated: Helpdesk Links
Added: Support for warning against missing database columns
Fixed: Dashboard GUI Fixes
Improved: AI Wizard GUI Improvements
Updated: Embed calculator panel
Added: Welcome modal videos

= 7.9.4 - 2024-07-22
Fixed: Calculator settings errors
Added: New Informative Tooltips for features
Updated: Security and wordpress compatibility

= 7.9.2 - 2024-07-15
Improved: Calculator options are now collapsible

= 7.9.1 - 2024-07-02
Fixed: php errors displayed on frontend

= 7.9.0 - 2024-06-26

**Dashboard Changes**:
Refactor: Dashboard GUI Updates
Updated: Links to new helpdesk
Updated: Add new calculator screen
Updated: New covers for templates

**Editing Page Changes**:
Refactor: Slider pricing structure titles
Added: AI Wizard button and chat


= 7.8.7 - 2024-06-07
Fixed: Editing page and frontend GUI Fixes
Fixed: Invalid Tax displayed for some templates

= 7.8.6 - 2024-06-07
Fixed: Dashboard GUI Fixes

= 7.8.5 - 2024-05-31
Added: Support widget

= 7.8.4 - 2024-05-31
Updated: Better UX on calculator form editor page for smaller screen devices
Updated: Calculator form setup wizard

= 7.8.3 - 2024-05-07
Updated: post compatibility test release

= 7.8.2 - 2024-04-26
Fixed: Navigation issue to all calculator forms page

= 7.8.1 - 2024-04-19
Updated: New GUI for Navigation bar
Added: New Templates added
Fixed: Small GUI Fixes for Slider and Dropdown
Fixed: User survey modal recurrence
Added: Preview position switch button

= 7.8.0 - 2024-03-22
Updated: New home page with template selector
Fixed: Miscellaneous errors for using Setup Wizard
Fixed: Small GUI Fixes

= 7.7.4 - 2024-02-01
Updated: editing page UX improvements

= 7.7.3 - 2023-12-20
Updated: backend GUI tweaks for a cleaner interface

= 7.7.1 - 2023-12-11
Updated: Wordpress 6.4.2 compatibility

= 7.7.0 - 2023-12-11

**Frontend Changes**:
Improved: New design for mandatory element alerts.
Added: Support for a minimum of two decimal places in price fractions.

**Backend Changes**:
Added: Feedback modal for the uninstall process.

**Editing Page Changes**:
Fixed: Miscellaneous JavaScript errors for more stable functionality.

**Dashboard Changes**:
Fixed: Minor graphical user interface adjustments and fixes in the Setup Wizard.
Fixed: Graphical user interface issues for the navigation bar in the mobile version.

= 7.6.0 - 2023-10-30

**Frontend Changes**:
Fixed: Small GUI Fixes

**Backend Changes**:
Improved: PHP security improvements
Updated: Minimum PHP compatibility from 7.4 to 7.0

**Editing Page Changes**:
Added: Guided tour of the plugin's features
Updated: Editing Page GUI and settings modals.
Improved: GUI changes for inputs and currency symbols
Fixed: New elements did not display their informational tooltips correctly
Updated: Calculator Settings tooltip infographics
Fixed: element tooltip when a new element is added

**Dashboard Changes**:
Improved: GUI and UX enhancements for Wizard Quiz.
Updated: Refined email design for Wizard Quiz.

= 7.5.1 - 2023-08-24
* Updated: updated read me file with correct links and more up-to-date FAQs.

= 7.5.0 - 2023-08-24
* Security: Backend - security improvements wpdb queries
* Added: WP Dashboard - implemented Gutenberg block
* Added: Added icons to Global Settings for SCC-Free and SCC-Premium
* Added: Wizard Quiz - helpdesk link and emails are ready
* Fixed: Dashboard - solving warnings and deprecations (addCalculator view)
* Added: Global Settings - Added Google Maps settings and Helpdesk link
* Fixed: Dashboard - Fix currency symbol for Quantity input + selectors small adjustments

= 7.4.11 - 2023-08-13
* Added: Removed unused libraries

= 7.4.10 - 2023-08-13
* Fixed: frontend bug related to showing currency symbols

= 7.4.9 - 2023-08-10
* Fixed: minor bugfixes

= 7.4.7 - 2023-08-01
* Added: Support for new currencies

= 7.4.6 - 2023-08-01
* Added: Updated the third party UI libraries
* Fixed: minor bugfixes

= 7.4.5 - 2023-07-11
* Added: Improved the calculator editing experience
* Fixed: minor bugfixes

= 7.4.4 - 2023-06-13
* Added: New designs for existing templates
* Fixed: minor bugfixes

= 7.4.3 - 2023-05-30
* Added: UX improvements in the frontend
* Fixed: minor bugfixes

= 7.4.2 - 2023-04-20
* Added: New currencies
* Fixed: Improvements and bugfixes

= 7.4.1 - 2023-03-22
* Added: New Add New page experience

= 7.4.0 - 2023-03-17
* Added: Editing Page - added support for slider range's 'from' and 'to' values to be same as each other
* Added: Dashboard - Start New Calculator button on all calculators page

= 7.3.9 - 2023-02-09
* Fixes: improvements and security enhancements
* Added: tooltips with images explaining the features
* Added: Disabled save button while background ajax is saving the element data

= 7.3.8 - 2023-01-05
* Fixes: improvements and security enhancements
* Added: Better dropdown experience

= 7.3.7 - 2022-12-20
* Fixes: improvements and security enhancements

= 7.3.6 - 2022-12-09
* Fixes: Many minor GUI improvements

= 7.3.5 - 2022-11-11
* Fixes: Many minor GUI improvements

= 7.3.0 - 2022-10-17
* Fixes: Many GUI improvements

= 7.2.9 - 2022-09-24
* Fixes: Bugfixes and improvements
* Fixes: Fixed database error warnings
* Added: New 'Add new calculator' page

= 7.2.8 - 2022-08-27
* Fixes: Bugfixes and improvements
* Added: Mongolian currency

= 7.2.7 - 2022-07-23
* Fixes: Addressed checkbox single choice element calculation issues.

= 7.2.6 - 2022-06-28
* Fixes: Added notifications window. Minor padding fixes for GUI. Changed the Edit Calculator page with a better GUI look
* Changes: Changed Add New Elements button to be square

= 7.2.5 - 2022-06-04
* Fixes: Slider and slider label spacing

= 7.2.4 - 2022-05-28
* Added: Tool-tips to explain features.

= 7.2.3 - 2022-05-20
* Fixes: Addressed checkboxes not updating the calculation

= 7.2.2 - 2022-05-18
* Added: Uganda currency support
* Fixes: Feature stability and bugfixes

= 7.2.1 - 2022-05-11
* Added: Backend UX improvement
* Fixes: Feature stability and bugfixes

= 7.2.0 - 2022-04-23
* Fixes: Minor fixes.

= 7.1.9 - 2022-04-11
* Fixes: Feature stability and bugfixes

= 7.1.8 - 2022-04-08
* Fixes: Feature stability and bugfixes

= 7.1.7 - 2022-04-07
* Fixes: addressed the slider element not updating the total value

= 7.1.6 - 2022-04-04
* Added: Slider with input boxes
* Fixes: Minor bugfixes and improvements

= 7.1.5 - 2022-03-09
* Fixes: Dashboard - fixed closing last notification item causing empty notificat…Dashboard - added wp dashboard button at the right side of the editing p…Dashboard - Added new header/footer

= 7.1.4 - 2022-02-23
* Fixes: The ability to have more than one calculator on the same page.

= 7.1.3 - 2022-02-17
* Fixes: Many minor GUI fixes and user experience optimizations. Fixed responsive design on frontend style 1.

= 7.1.1 - 2021-01-29
* Fixes: Changed out the backend renders the slider. Many minor bug and GUI fixes.

= 7.1.0 - 2021-12-18
* Fixes: Cleaned up GUI. Fixed minor bugs to checkbox element.

= 7.0.9 - 2021-12-07
* Fixes: Checkbox alignment

= 7.0.8 - 2021-12-01
* Added: Newer and cleaner GUI for backend interface. Readded HTML support for descriptions
* Fixes: Optimized conditional logic for fastest processing. Many minor performances and tweaks. Fixed currency being blocked by ad-blockers.

= 7.0.7 - 2021-11-22
* Fixes: Backend - eliminated PHP error notices for apache servers.Calc Form - fixed left padding not showing up on the frontend

= 7.0.6 - 2021-11-15
* Fixes: Minor fixes to GUI to clean-up the user experience.

= 7.0.5 - 2021-10-3
* Fixes: Cleaned up padding, margins and other minor GUI fixes.

= 7.0.4 - 2021-10-2
* Major Changes: Rebuilt entire plugin using the MVC structure. Upgraded bootstrap. Added extra security sanitization, escaping and data validation.

= 7.0.3 - 2021-09-05
* Added: Many minor changes to the GUI

= 7.0.2 - 2021-09-04
* Added: Added title columns for the responsive feature.

= 7.0.1 - 2021-09-02
* Added: Fixed migration script.

= 7.0.0 - 2021-09-01
* Added: Completely re-written plugin for improved stability, useability, compatibility and more features.

= 6.1.3- 2021-05-20
* Fixes: Email copy not sent to send from address
* Added: Webhook events and improvments

= 6.1.3- 2021-05-20
* Fixes: Email copy not sent to send from address
* Added: Webhook events and improvments

= 6.1.2- 2021-04-26
*Fixes: Dropdown showing unexpected logo on some websites

= 6.1.1- 2021-04-26
*Fixes: Reverted TCPDF version to 6.3.2

= 6.1.0- 2021-04-24
*Fixes: Lots of improvements. Changed currency system to a new one.

= 6.0.6 - 2021-04-20 =
* Fixes: Anomalies when more than one custom math has condition enabled.improved handling of empty subject fields.stripe-php library update

= 6.0.6 - 2021-04-19 =
* Fixes: Addee Email quote errors to show on console. Email quote ajax shows full error message. Conditional logic wont show custom math on frontend if it is set to not show on frontend.
* Added:  Custom fields deletion support.

= 6.0.5 - 2021-04-09 =
* Added:  Cache plugins support

= 6.0.4 - 2021-04-07 =
* Added:  More improvements for the latest features.

= 6.0.3 - 2021-04-07 =
* Added:  Quote form bugfixes and improvements.

= 6.0.2 - 2021-04-06 =
* Added:  Pushing to AppSero users.

= 6.0.1 - 2021-04-06 =
* Added: fixed move icon not loading. Support for Dicom theme. Unexpected span issue fix. fixed custom math and slider element's removal feature.

= 6.0.0 - 2021-03-31 =
* Added: Quote Management feature to give CRM-like functionality.

= 5.9.3 - 2021-03-11 =
* Fixes: Changed timeout of license server to 5 seconds.

= 5.9.2 - 2021-03-09 =
* Fixes: Minor GUI Cleanup of backend and frontend. Optimized the conditional logic speed.

= 5.9.0 - 2021-03-04 =
* Fixes: Optimzations for larger conditional logic forms. A small fix for WP Bakery.
* Added: Navbar menu for easier navigation. Preloader for longer forms. Default New calculator elements.

= 5.8.12 - 2021-03-01 =
* Bugfixes and improvements

= 5.8.11 - 2021-02-25 =
* fixes: Fixes Stripe Integration

= 5.8.10 - 2021-02-25 =
* fixes: Fixes new calculator creation page

= 5.8.9 - 2021-02-23 =
* fixes: Fixes multiple calculator crashing page / post editor
* feature: Loading animation

= 5.8.8 - 2021-02-21 =
* fixes: Fixed error on new GUI for PayPal setup.

= 5.8.7 - 2021-02-12 =
* fixes: Optimized the dashboard GUI. Added template. Added duplicate feature. Optimized the look of the checkboxes. Tidy up of 
more settings area. Fixed the All Calculator List. Added Custom Math with Conditional Logic (big feature).

= 5.8.5 - 2021-01-12 =
* fixes: Frontend: fixed sliding scale doing bad calculation if "remove currency label" feature is used. Backend: Condition logic section alignment
margin bottom for user action buttons. bug fixed phone number showing 1
Frontend + Backend: Added tax support for PayPal with enable/disable checkboxes and user action buttons style 2 WIP
*added: Backend: Added duplication feature. Added switch buttions Yes/No translatio

= 5.8.3 - 2020-12-28 =
* fixes: for conditional logic. Fixes JS errors with some cache plugins.
* added: sliding scale feature. multiple totals feature

= 5.8.2 - 2020-12-07 =
* fixes: Changes are in the free versions readme file. Located: https://wordpress.org/plugins/stylish-cost-calculator.

= 5.8.1 - 2020-11-28 =
* fixes: Changes are in the free versions readme file. Located: https://wordpress.org/plugins/stylish-cost-calculator.

= 5.7.9 - 2020-11-20 =
* fixes: listing later

= 5.7.7 - 2020-11-04 =
* fixe: exclusion for wp rocket, Frontend: Detailed View: fixed wrong value in calculated custom math,Feature: Users can choose date format in PDF preview and generated PDF, Added work in progress for file upload (will not show up on users),Backend: added delete button in condition definition and some bugfix,Backend: PDF Print: Fixed spacing with coupon, subtotal and titles,PDF: generated PDF now has matching description color and total price brought down a bit,Frontend: disabled showing up of detailed list while sending email #ticket-1630,Frontend, Backend: captcha feature completed task-187, Frontend: made recaptcha handle failed verification and showing failed modal, Frontend: removed unexpected dot from total,Fixed coupon page freezing after saving,Frontend: recaptcha support (wip),Frontend: fixed reactangle switch when used with column values

= 5.7.6 - 2020-10-18 =
* fixe: fix: alignment issues,Frontend, Backend: checkbox support for conditional logic, and comment elements label and text box are full width in mobile devices,email's pdf attachment is now being sent from system temporary directory, Frontend: made price hint work for all checkbox types #ticket-1581, Email delivery without creating any files in the disk, Backend: fixed conditional logic elements being added twice/ not changing when changed

= 5.7.5 - 2020-10-16 =
* fixes: Major release.

= 5.7.4 - 2020-09-22 =
* fixes: 
Dashboard: (Frontend & Backend) fixed the truncated issue wtih the price break feature.
feat: users can access editing page after activation #task 194.
Test: Attemping to span the conversion.feat: converted currency show in a new line with smaller font-size, initial code for new modal design ready.
Frontend: Detailed List View Fixes for Currency Conversion Price, to make it go on the line below.fix: calculator not being deleted in "Edit Existing" page.fix: calculator not being deleted in "Edit Existing" page ticket 1492
Frontend: Paypal Button - Fixed it not being clickable on second line for smaller screen sizes
Frontend View: Fixed slider bubble small on some themes
fix: repaced palceholder text for converted currency with a dot

= 5.7.3 - 2020-09-13 =
* fixes: Wrong currency symbol loading.

= 5.7.2 - 2020-09-10 =
* fixes: Pushing to appsero

= 5.7.1 - 2020-09-09 =
* Frontend: Cleanup of checkboxes buttons. Frontend Style 2 (block style). Frontend: Fixed the missing DIV from TURN OFF TOTAL PRICE PRICE toggle.Frontend: Cleaned up print hint bubble.fix: mitigated console errors in new calculator page. Frontend: Action Buttons: Made smaller in height to adhere to web standard of a typical button size. Frontend Fixes: Cleanup the UI of the Numbers Input Box. fix: removed php warnings. fix: currency symbol for Romanian leu. feat: added loading animation on save button click

= 5.7.0 - 2020-08-21 =
* fix: jQuery compatibility fix.

= 5.6.9 - 2020-08-20 =
* fix: removed debug line. fix: added color to quantity input and backend switchable styles.fix: patched an issue with new quantity input box style

= 5.6.8 - 2020-08-14 =
* Major Fixes: Wordpress 5.5 compatibility version 2

= 5.6.7 - 2020-08-13 =
* Major Fixes: Wordpress 5.5 compatibility

= 5.6.6 - 2020-08-12 =
* Fixes: fix(frontend): padding issue on generated PDF,fix: patch for detail view on stylish cost calculator.com, fix: add back division support, fix(frontend):

= 5.6.0 - 2020-07-28 =
* Fixes: fix(frontend): padding issue on generated PDF,fix: patch for detail view on stylish cost calculator.com, fix: add back division support, fix(frontend): patched css rules regarding detailed view

= 5.5.9 - 2020-07-20 =
* Fixes: Slider range to 0. Added exceptions in cache plugins WP Fastest Cache, Autoptimize, general JS optimize compatible.

= 5.5.8 - 2020-07-17 =
* Fixes: Check changelogs of free version.

= 5.5.7 - 2020-07-02 =
* Fixes: removing label currency of value and unit (values used to calculate the final price). Frontend - Detailed List View - Fixed Margin of Custom Math. fix: dropdown resetting to last selection.set the custom math display option checked by default.fix: getting price format in currency settings
. fix (backend): sorting elements with down and up arrows. feature: scripts has query string same as plugin version

= 5.5.6 - 2020-06-26 =
* Fixes: Slimmed down jQuery loading practices.

= 5.5.5 - 2020-06-25 =
* Fixes: Fixed save button.

= 5.5.4 - 2020-06-23 =
* Fixes: Changed all modal CSS classes to be more unique

= 5.5.1 - 2020-06-22 =
* Fixes: extra quotes in backend description, values as integers in frontend, detailed view and pdf, dropdown selected item setting itself to initial selection, bumped jquery translate script version

= 5.5.0 - 2020-06-19 =
* Fixes: fix: extra quotes in backend description. fix: extra quotes in backend description. Backend: Made the price range input box wider. added option to set price comma style. fix: dbDelta() function need upgrade.php in old versions php or wordpress. optimization: script loading. Frontend: Detailed List View: Fixed padding around date. Frontend: Moved DIV inside the A to make the entire button clickable.

= 5.4.9 - 2020-06-12 =
* Fixes: Font themes that use dark backgrounds, Summary view fix, feat: price comma style now works as per browser locale setup of the user, Fixed alert background style, Summary View - Comment Title Name: Removed padding left, Total Price Bar - Style 2 : Fixed a negative margin, Total Price Bar - Style 4: Fixed font-size and weight of the total word, Frontend - User Action Buttons : Moved the A tag outside the div to make the entire button clickable
fix: slider to allow max range equal to step value, Frontend: User Action Buttons: Added the CSS Class of scc-usr-act-btns so that users can style these buttons, Frontend: Detailed List View: Force black writing for some themes

= 5.4.8 - 2020-06-06 =
* Fixes: Font themes that use dark backgrounds. Fixed memory limitation message. Fix: total price not working on some servers. Added: Please choose an option ! as a translate. Fixed some PHP Errors with PHP 7+. Free users have email quote option disabled. Made the 'New Translate' button more visible. Visual improvements to the Summar View (Detailed List View) window for larger text. Improvements to sites with darker backgrounds.

= 5.4.7 - 2020-06-02 =
* Fixes: two sliders in the same calculator bug fix.

= 5.4.6 - 2020-05-26 =
* Fixes: memory limit warning, negatives numbers now supported, new currency for Indonesian Rupiah, change class name of accordion, changed alert message for slider minimum values.

= 5.4.5 - 2020-05-19 =
* Fixes: Warnings on alter table, send email not working for non-admins, email subject handle username.
comment inside detailed list table. Removing elements from backend. New feature: Jump to element that was added.

= 5.4.4 - 2020-05-07 =
* Added: Print hint, fixed send email username, added currency conversion.

= 5.4.3 - 2020-04-30 =
* Added: GUI improvements

= 5.4.2 - 2020-04-29 =
* Added: Fixed padding on element buttom. Fixed custom math. Added templates
* Added: Fixed radio buttons to be clickable easier. Lots of backend GUI fixes. Green default option for checkboxes and dropdowns. Some security hardening. Performance optimizations to avoid loading any files globally. Fixed conflict with WP Starter plugin. Woocommerce random fixes. Added custom math element. Fixed z-index issue on some frontends. Fixed object color for checkboxes. Removed old html2canvas. 

= 5.4.1 - 2020-04-16 =
* Added: checkbox default selector

= 5.4.0 - 2020-04-13 =
* Added: add new template: writing agency template / change position of funeral template section / fix venue rental template / add loading circle when add cart commerce is loading / fix: add alert to mandatory elements when add to cart button is clicked. fix: scc.js new version & default option deselect. add: dropdown default option feature. fix: no private calling function in stylish-cost-calculator-ajax.php

= 5.3.3 - 2020-04-09 =
* Fixes: remove subsection button / add buttons settings in plugins installed / wp stater checker

= 5.3.2 - 2020-04-06 =
* Fixes: fix: quantity/unit pdf column, new feature: adding remove button for slider (backend),fix: wooCommerce modal: remove shadow & update get_cart_url function / fix: only 2 decimal for slider math. fix: semi colan in addCouponModal() function / update appsero files

= 5.3.1 - 2020-03-31 =
* Fixes: Backend: Remove shadow for Style 2.

= 5.3.0 - 2020-03-29 =
* Fixes: Backend GUI cleanup. Added woocommerce integration for the price calculator.

= 5.2.7 - 2020-03-22 =
* Fixes: Removed HTML2CANVAS for the pricing calculator.

= 5.2.6 - 2020-03-25 =
* Fixes: German characters fixed. Small frontend css fixes.

= 5.2.5 - 2020-03-22 =
* Fixes: Removed HTML2CANVAS to avoid conflicts with the new TCPHP PDF generator.

= 5.2.3 - 2020-03-18 =
* Fixes: PHP Warnings in front-end-core.php

= 5.2.2 - 2020-03-13 =
* Fixes: DB Delta() fixed.Changed date on Detailed list form. More backend style fixes. Fixed missing DIV on Style 2 for Total Price.

= 5.2.0 - 2020-03-12 =
* Updates: Added PDF to HTML2CANVAS via PHP. Backend GUI fixes for most elements (slider, checkboxes and dropdowns). Fixed JSON for backup and restore. 
Added tooltip, added URLs for each calculator instance in the Edit Calculator. 

= 5.1.2	- 2020-03-02 =
* Updates: email line break. Added placeholder for title and description. PDF to PHP. Removed unexpected character.

= 5.1.1	- 2020-02-19 =
* Updates: Fixed Paypal button alignments, fixed backslashes, quotes sheet backup problem, fixed Firefox JS problem, added cleaning template,
added one-click templates, adding padding in footer of 'detailed list view'. Changed colors of text boxes.

= 5.1.0	- 2020-02-10 =
* Updates: restore button / transparent background / textarea higher and short codes issue solved in sttings.php


= 5.0.31	- 2020-02-07 =
* Updates: Fixed slider conflict and kernel filename.

= 5.0.29	- 2020-02-05 =
* Updates: Fixed progress bar, logo center, pdf form by email.


= 5.0.28	- 2020-02-04 =
* Updates: Fixed logo and banner upload feature.


= 5.0.27	- 2020-02-03 =
* Updates: Task #138 |  Email Quote is removing line breaks and Task #139 |  Progress Bar Missing


= 5.0.26	- 2020-1-04 =
* Updates: Fixed tax bug.


= 5.0.25	- 2020-1-04 =
* Updates: Removing preview button.


= 5.0.24	- 2020-1-04 =
* Updates: Improved http and https image banners error.


= 5.0.23	- 2020-1-04 =
* Updates: Improving responsive in sliders.


= 5.0.22	- 2020-1-04 =
* Updates: Improving no license users alert.

= 5.0.21	- 2020-1-04 =
* Updates: Removing deactivation survey.


= 5.0.19	- 2020-1-04 =
* Updates: Tax error solved.


= 5.0.18	- 2020-1-04 =
* Updates: Improving features.

= 5.0.14	- 2020-1-04 =
* Updates: Removing old license settings.

= 5.0.5	- 2020-1-04 =
* Updates: Testing deploymment again.

= 5.0.0	- 2020-1-03 =
* Updates: Testing deployed of appsero version. 

= 3.9.8 - 2020-1-02 =
* Fixes: AppSero auto deploy.

= 3.9.5 - 2019-12-16 =
* Fixes: Multiple calculators one single page that were losing some styling. Performance fixes. PDF fix.

= 3.9.3 - 2019-12-10 =
* Fixes: Fixed backup & restore for unicode. API improvements.

= 3.9.1 - 2019-11-27 =
* Fixes: More fixes for PDF download, print and email quote feature. Fixed the title in detailed list view. Mobile improvements.

= 3.9.0 - 2019-11-26 =
* Major Update: Removed bootstrap, improved printing to PDF, fixed translation, improved autoscroll alerts, other minor perforamce tweaks.

= 3.8.3 - 2019-11-05 =
* Fixes: Bubble on slider

= 3.8.2 - 2019-10-30 =
* Fixes: Improving get_plugin_data only when admin. Removing not supported currencies from popup paypal.
Adding "not supported by paypal" in menu.php

= 3.8.1 - 2019-10-25 =
* Fixes: Added backup and restore.

= 3.7.8 - 2019-10-19 =
* Fixes: fixed php warnings / total price css improvement / dropdown list width improvement

= 3.7.8 - 2019-10-18 =
* Fixes: functions.php test-3 warning, dropdown showing up 5 elements / comment box becomes input when row = 1, dropdown stylish, margin pdf and security risks.

= 3.7.7 - 2019-10-11 =
* Fixes: Missed a character causing an error on settings.

= 3.7.6 - 2019-10-11 =
* Fixes: Security hardening/

= 3.7.5 - 2019-10-08 =
* Fixes: Fixed Paypal item names and total cost. Added items with a value of 0 to the detailed list.

= 3.7.4 - 2019-10-08 =
* Added: Coupon feature, fixed line break in settings, added multipage support for PDF, added popup notifiers.

= 3.7.2 - 2019-09-26 =
* Fixed: Fixed slider calculatione error.

= 3.7.1 - 2019-09-25 =
* Fixed: Database table that was duplicated.

= 3.7.0 - 2019-09-25 =
* Updates: Removed SCC files from global admin area. Sanitized variables. Simple scroll bar. Fixed variable notices. Added cache warning. Centered bubble on slider.

= 3.6.6 - 2019-09-18 =
* Updates: Added input box quantity into the summary  window. Removed tax on forms that didn't use it. Added a remove title button.

= 3.6.5 - 2019-09-14 =
* Updates: Upgraded bootstrap. Cleaned up backend views.

= 3.6.3 - 2019-09-13 =
* Updates: Fixed close button on the top right of detailed list view.

= 3.6.2 - 2019-09-12 =
* Updates: lower case files.

= 3.6.0 - 2019-09-12 =
* Updates: Completely revamped the summary detailed list window. Fixed translation bug for summary window. Improved backend overflow. Turned off currency
feature. Added an input box. Added a comment box.

= 3.5.6 - 2019-08-31 =
* Updates: Cleaned up CSS. Fixed MIME Type error.

= 3.5.5 - 2019-08-29 =
* Updates: Fixed the email quote button.

= 3.5.4 - 2019-08-29 =
* Updates: Changed email to client pop-out form.

= 3.4.9 - 2019-08-23 =
* Updates: Changed email to client pop-out form.

= 3.4.8 - 2019-08-22 =
* Updates: Fixed PHP reference bug. Changes location of date on Detailed List View. CSS File Clean-Up. 

= 3.4.7 - 2019-08-21 =
* Updates: Fixed language translation on dropdowns. More minor tweaks. Fixed JS bug.

= 3.4.6 - 2019-08-19 =
* Fixed: Fixed preview panel. Added choose an option translation.

= 3.4.5 - 2019-08-16 =
* Fixed: Fixed problem with disappearing forms.

= 3.4.4 - 2019-08-15 =
* Fixed: Fixed total bar styles.

= 3.4.3 - 2019-08-15 =
* Fixed: Added south african currency. 

= 3.4.2 - 2019-08-13 =
* Fixed: jQuery fix for preview modal.

= 3.4.1 - 2019-08-12 =
* Fixed: Paypal backend form

= 3.4.0 - 2019-08-12 =
* Fixed: Paypal button, broken JS code, added video, improved preview panel, resolved issue with email forms.

= 3.3.6 - 2019-08-2 =
* Fixed: Added font awesome

= 3.3.5 - 2019-08-2 =
* Fixed: Fixed close button on detailed list.

= 3.3.4 - 2019-08-2 =
* Fixed: tooltip background on slider. Alberto's fixes for subcalculation

= 3.3.3 - 2019-08-1 =
* Fixed: PHP error

= 3.3.2 - 2019-07-31 =
* Updates: Added mandatory dropdown. Improvements to GUI for admin users in the backend. 

= 3.3.1 - 2019-07-29 =
* Updates: Fixed limit for fre e users

= 3.3.0 - 2019-07-27 =
* Updates: Added Pay with Paypal. Added 4 different styles for Total Price bar

= 3.2.4 - 2019-07-24 =
* Updates: Added two new cool animated buttons. Added banner and logo to email template. Fixed some styling of the detailed view.
We are working on Paypal integration next.

= 3.2.3 - 2019-07-23 =
* Fixes: Save to PNG is no longer cut off. Same with email quote. Created nicer styling and looks. Fixed glutenburg issue.
Cleaned up tax function. Added toggle to remove total price, for users who want to force an email.

= 3.2.2 - 2019-07-20 =
* Fix: Resolved the Issue related to calculation for sliders in subsection and multiple checkbox Issue in case of slider.
Task #27, fix buttons.

= 3.2.1 - 2019-07-15 =
* Security:  Fixed color chooser, added popup error when hit limit. Fixed some calculation errors on some sites. 

= 3.2.0 - 2019-07-12 =
* Security: Fixed a minor vulnerabilty in the admin panel. This isn't an immediate concern but users are recommended to update soon.
* Fixes: Fixed calculation issue on some sites. Almost finshed perfecting the email quote form.

= 3.1.9 - 2019-07-10 =
* Updates: A few more tweaks to simple buttons. Fixed TURN OFF VIEW DETAILED. Created toggle to turn off currency.

= 3.1.8 - 2019-07-09 =
* Updates: Added email template for extra tweaking of the email estimation form. More upgrades to the quote.
Added new buttons, called Simple Buttons, for the quote generator. Added a tax feature. Working on mandatory dropdown.


= 3.1.7 - 2019-06-30 =
* Updates: Minor change to wordings

= 3.1.6 - 2019-06-30 =
* Updates: Added new button called Simple Buttons.  Fixed printer cut off issue. Adding a new tax feature. 

= 3.1.5 - 2019-06-21 =
* Updates: Fixed moible view for detailed list. Fixed email quotee being cut off.  Fixed add section div bug.
  Fixed   Taske #6,15,14,12,11
  
= 3.1.3 - 2019-06-18 =
* Updates: Stable version. Fixed language translation feature. Performance upgrade. Beautiful changes to the detailed printout feature.


= 3.1 - 2019-06-10 =
* Updates: This is a beta version with major changes. Lots of performance upgrades with only loading JS, CSS
on pages that load the calculator. Added a translation feature for users that want to use this plugin in other languages for the
frontend. Added a footer with support links.

= 3.0.5 - 2019-05-31 =
* Updates:  Added help video

= 3.0.45 - 2019-05-31 =
* Updates:  Some of the fixes to the view detailed button.

= 3.0.3 - 2019-05-27 =
* Updates:  Fixed license server.

= 3.0.2 - 2019-05-27 =
* Updates:  More fixes for the ID Error.

= 3.0.1 - 2019-05-25 =
* Updates:  Fixed ID Error.

= 3.0 - 2019-05-21 =
* Updates:  Added a feature for customers to email themselves the quote. Other major performance changes.

= 2.2 - 2019-03-11 =
* Updates:  Added estimate and email feature

= 2.0.9 - 2019-03-05 =
* Updates: added more functions for the free version

= 2.0.8 - 2019-02-15 =
* Fixed some minor bugs.  Fixed license activation issue.

= 2.0.5 - 2019-01-24 =
* Added chat support

= 2.0.4 - 2019-01-08 =
* Fixed small bug for calculation

= 2.0.3 - 2019-01-03 =
* Fixed readme file

= 2.0.2 - 2018-12-29 =
* Added contact us and video tutorials buttons

= 2.0.1 - 2018-12-19 =
* Complete redesign of the admin backend. Bulk discount feature. Better slider. Much much more!

= 1.0.1 - 2018-9-13 =
* Full Features are ready 
